jQuery(function($) {
	var $body = $('body'),
	$wrapper = $('.body-innerwrapper'),
	$toggler = $('#offcanvas-toggler'),
	$close = $('.close-offcanvas, .m-link'),
	$offCanvas = $('.offcanvas-menu');
	$toggler.on('click', function(event) {
		event.preventDefault();
		stopBubble(event);
		setTimeout(offCanvasShow, 50);
	});
	$close.on('click', function(event) {
		event.preventDefault();
		offCanvasClose();
	});
	var offCanvasShow = function() {
		$body.addClass('offcanvas');
		$wrapper.on('click', offCanvasClose);
		$close.on('click', offCanvasClose);
		$offCanvas.on('click', stopBubble);
	};
	var offCanvasClose = function() {
		$body.removeClass('offcanvas');
		$wrapper.off('click', offCanvasClose);
		$close.off('click', offCanvasClose);
		$offCanvas.off('click', stopBubble);
	};
	var stopBubble = function(e) {
		e.stopPropagation();
		return true;
	};
	$('.sp-megamenu-wrapper').parent().parent().css('position', 'static').parent().css('position', 'relative');
	$('.sp-menu-full').each(function() {
		$(this).parent().addClass('menu-justify');
	});
	$(document).ready(function() {});
	$(document).ready(function() {
		var spHeader = $("#sp-header, #sp-top-bar");
		if ($("body.com-sppagebuilder #sp-page-builder .sppb-slider-wrapper").length) {
			spHeader.addClass('has-slideshow');
		}
		spHeader.addClass('menu-fixed-out');
	});
	var stickyNavTop = $('#sp-header').offset().top;
	var stickyNav = function() {
		var scrollTop = $(window).scrollTop();
		if (scrollTop > stickyNavTop) {
			$('#sp-header').removeClass('menu-fixed-out').addClass('menu-fixed');
		} else {
			if ($('#sp-header').hasClass('menu-fixed')) {
				$('#sp-header').removeClass('menu-fixed').addClass('menu-fixed-out');
			}
		}
	};
	stickyNav();
	$(window).scroll(function() {
		stickyNav();
	});
	$('[data-toggle="tooltip"]').tooltip();
	$(document).on('click', '.sp-rating .star', function(event) {
		event.preventDefault();
		var data = {
			'action': 'voting',
			'user_rating': $(this).data('number'),
			'id': $(this).closest('.post_rating').attr('id')
		};
		var request = {
			'option': 'com_ajax',
			'plugin': 'helix3',
			'data': data,
			'format': 'json'
		};
		$.ajax({
			type: 'POST',
			data: request,
			beforeSend: function() {
				$('.post_rating .ajax-loader').show();
			},
			success: function(response) {
				var data = $.parseJSON(response.data);
				$('.post_rating .ajax-loader').hide();
				if (data.status == 'invalid') {
					$('.post_rating .voting-result').text('You have already rated this entry!').fadeIn('fast');
				} else if (data.status == 'false') {
					$('.post_rating .voting-result').text('Somethings wrong here, try again!').fadeIn('fast');
				} else if (data.status == 'true') {
					var rate = data.action;
					$('.voting-symbol').find('.star').each(function(i) {
						if (i < rate) {
							$(".star").eq(-(i + 1)).addClass('active');
						}
					});
					$('.post_rating .voting-result').text('Thank You!').fadeIn('fast');
				}
			},
			error: function() {
				$('.post_rating .ajax-loader').hide();
				$('.post_rating .voting-result').text('Failed to rate, try again!').fadeIn('fast');
			}
		});
	});
});